# $Revision: 1.24 $, $Date: 2003/09/08 18:17:09 $
Summary:	Program for scientifical and technical computations, compatible with Matlab
Summary(pl):	Program do oblicze naukowo-inynierskich, zgodny ze synnym Matlabem
Summary(pt_BR):	Linguagem de alto-nvel para computao numrica
Name:		scilab
Version:	2.7
Release:	2
License:	distributable
Group:		Applications/Math
Source0:	ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab/distributions/%{name}-%{version}.src.tar.gz
# Source0-md5:	e8aa1ede5efa20eeced284963d08bebb
Source1:	%{name}.desktop
Patch0:		%{name}-configure.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-sh5.patch
URL:		http://www-rocq.inria.fr/scilab/
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRequires:	autoconf
BuildRequires:	gcc-g77
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program for scientifical and technical computations, compatible with
Matlab.

%description -l pl
Program do oblicze naukowo-inynierskich, zgodny ze synnym Matlabem.

%description -l pt_BR
Linguagem de alto-nvel para computao numrica.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	--disable-static \
	--enable-shared \
	--with-tk \
	--with-xawd3d
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}-%{version}} \
	$RPM_BUILD_ROOT{%{_examplesdir}/scilab,%{_libdir}/X11/app-defaults} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin \
	$RPM_BUILD_ROOT%{_applnkdir}/Scientific/Numerics

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	X11BASE=$RPM_BUILD_ROOT%{_prefix} \
	BSD_INSTALL_DATA=/usr/bin/install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Numerics/%{name}.desktop
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/{X11_defaults,contrib,demos,macros,man,maple,routines,tcl,.binary,scilab*} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

ln -fs %{_datadir}/%{name}-%{version}/contrib $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/contrib
ln -fs %{_datadir}/%{name}-%{version}/demos $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/demos
ln -fs %{_datadir}/%{name}-%{version}/macros $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/macros
ln -fs %{_datadir}/%{name}-%{version}/man $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/man
ln -fs %{_datadir}/%{name}-%{version}/maple $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/maple
ln -fs %{_datadir}/%{name}-%{version}/routines $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/routines
ln -fs %{_datadir}/%{name}-%{version}/scilab.star $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/scilab.star
ln -fs %{_datadir}/%{name}-%{version}/scilab.quit $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/scilab.quit
ln -fs %{_datadir}/%{name}-%{version}/tcl $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/tcl
ln -fs %{_datadir}/%{name}-%{version}/X11_defaults $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/X11_defaults

find $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin -type f | xargs perl -pi -e "s#$RPM_BUILD_ROOT##g"
perl -pi -e 's#PVM_ROOT=\$SCI/pvm3#PVM_ROOT=%{_libdir}/%{name}-%{version}/pvm3#g' \
	$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin/scilab

find $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/macros -name Makefile\* -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS license.txt README_Unix
%attr(755,root,root) %{_bindir}/scilab
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/bin
%dir %{_libdir}/%{name}-%{version}/pvm3
%{_libdir}/%{name}-%{version}/bin/.scicos_pal
%{_libdir}/%{name}-%{version}/bin/Blatdoc
%{_libdir}/%{name}-%{version}/bin/Blatdocs
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/BEpsf
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/Blatexpr*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/Blpr
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/S*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/[a-z]*
%attr(755,root,root) %{_libdir}/%{name}-%{version}/pvm3/*
%{_libdir}/%{name}-%{version}/contrib
%{_libdir}/%{name}-%{version}/demos
%{_libdir}/%{name}-%{version}/macros
%{_libdir}/%{name}-%{version}/man
%{_libdir}/%{name}-%{version}/maple
%{_libdir}/%{name}-%{version}/routines
%{_libdir}/%{name}-%{version}/scilab.quit
%{_libdir}/%{name}-%{version}/scilab.star
%{_libdir}/%{name}-%{version}/tcl
%{_libdir}/%{name}-%{version}/X11_defaults
%{_datadir}/%{name}-%{version}/X11_defaults
%{_datadir}/%{name}-%{version}/contrib
%{_datadir}/%{name}-%{version}/demos
%dir %{_datadir}/%{name}-%{version}/macros
%{_datadir}/%{name}-%{version}/macros/[a-z]*
%{_datadir}/%{name}-%{version}/macros/*.c
%{_datadir}/%{name}-%{version}/man
%{_datadir}/%{name}-%{version}/maple
%{_datadir}/%{name}-%{version}/routines
%{_datadir}/%{name}-%{version}/tcl
%{_datadir}/%{name}-%{version}/.binary
%{_datadir}/%{name}-%{version}/scilab*
%{_examplesdir}/scilab
%{_applnkdir}/Scientific/Numerics/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scilab.spec,v $
Revision 1.24  2003/09/08 18:17:09  baggins
- xless is no more, updated %%doc

Revision 1.23  2003/09/05 20:22:00  blues
- cosmetics

Revision 1.22  2003/09/05 20:20:16  blues
- release 2

Revision 1.21  2003/08/11 13:30:02  grzegol
- rel. 3 to rebuild with gimp-1.3.18

Revision 1.20  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.19  2003/05/28 13:01:45  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/16 19:56:43  adamg
- fixed url.

Revision 1.16  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.15  2002/12/03 12:47:42  roman
- corrected install command for scilab.desktop

Revision 1.14  2002/12/03 12:35:48  roman
- added scilab.desktop to Scientific/Numerics applnk subdir
- changed Release from 2 to 3

Revision 1.13  2002/11/01 02:03:08  undefine
- add url

Revision 1.12  2002/07/28 09:05:38  kloczek
- merge translations from Conectiva.

Revision 1.11  2002/07/23 19:32:59  marcus
- use new %%doc
- rel.2.

Revision 1.10  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.8  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.4  2001/08/30 17:41:38  kloczek
- adapterized and few cosmetics.

Revision 1.3  2001/08/30 16:45:19  roman
- updated to 2.6 version

Revision 1.2  2001/03/05 15:34:16  baggins
- cleaned up %%install and %%files

Revision 1.1  2001/03/01 15:55:33  baggins
- initial revision
